common: Fix commit ceef5568 so that it builds with libgcrypt < 1.6
authorWerner Koch <wk@gnupg.org>
Tue, 24 Jun 2014 09:06:32 +0000 (11:06 +0200)
committerWerner Koch <wk@gnupg.org>
Tue, 24 Jun 2014 09:06:32 +0000 (11:06 +0200)
* common/ssh-utils.c (get_fingerprint): Use GCRY_PK_ECC only if
defined.

common/ssh-utils.c

index 11ff0fb..30cb451 100644 (file)
@@ -89,7 +89,9 @@ get_fingerprint (gcry_sexp_t key, void **r_fpr, size_t *r_len,
       elems = "pqgy";
       gcry_md_write (md, "\0\0\0\x07ssh-dss", 11);
       break;
+#if GCRYPT_VERSION_NUMBER >= 0x010600
     case GCRY_PK_ECC:
+#endif
     case GCRY_PK_ECDSA:
       /* We only support the 3 standard curves for now.  It is just a
          quick hack.  */